function [ posEnd, velEnd ] = takeStep(pos, vel, acc, dt)
%takeStep: For constant acceleration and a known time step, determine the 
% integrated position and velocity result.

posEnd = pos + vel * dt + 1/2 * acc.^2 * dt;
velEnd = vel + acc * dt; 

end

